#version 320

precision highp float;

layout(binding=0) uniform BlockFragment {
	vec4 pParam1;
	vec4 pParam2;
};

layout(location = 0, binding = 0) uniform sampler2D Sampler0;

in vec2 vTextureCoord0;

layout(location = 0) out vec4 pColor;

void main()
{

	vec3 c  = texture(Sampler0, vTextureCoord0.xy).rgb;
	
	pColor = vec4(c, texture(Sampler0, vTextureCoord0).a);
	
	if (pParam1.w > 0.0)
	{
		gl_FragDepth = pColor.r;
	}
}
